/* -----------------------------------------------------------------------------
 * Copyright (c) 2013 - 2016 ARM Ltd.
 *
 * This software is provided 'as-is', without any express or implied warranty. 
 * In no event will the authors be held liable for any damages arising from 
 * the use of this software. Permission is granted to anyone to use this 
 * software for any purpose, including commercial applications, and to alter 
 * it and redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not 
 *    claim that you wrote the original software. If you use this software in
 *    a product, an acknowledgment in the product documentation would be 
 *    appreciated but is not required. 
 * 
 * 2. Altered source versions must be plainly marked as such, and must not be 
 *    misrepresented as being the original software. 
 * 
 * 3. This notice may not be removed or altered from any source distribution.
 *
 *
 * $Date:        09. June 2016
 * $Revision:    V1.2
 *  
 * Driver:       Driver_Flash# (default: Driver_Flash0)
 * Project:      Flash Device Description for M29EW 128Mb (16-bit)
 *               Part Number: JS28F128M29EW, PC28F128M29EW, RC28F128M29EW
 * -------------------------------------------------------------------- */

#define FLASH_SECTOR_COUNT      ((uint32_t)128)    /* Number of sectors */
#define FLASH_SECTOR_SIZE       ((uint32_t)131072) /* Uniform sectors of 128kB */
#define FLASH_PAGE_SIZE         ((uint32_t)2)      /* Programming page size in bytes */
#define FLASH_PROGRAM_UNIT      ((uint32_t)2)      /* Smallest programmable unit in bytes */
#define FLASH_ERASED_VALUE      ((uint8_t)0xFF)    /* Contents of erased memory */
